ื<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>SIRIMA หอพัก</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 20px;
            color: #333;
        }
        .container {
            width: 60%;
            margin: 0 auto;
            padding: 20px;
            background-color: #ffffff;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h2 {
            text-align: center;
            color: #2c3e50;
        }
        form {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        input[type="text"] {
            padding: 10px;
            width: 70%;
            border: 1px solid #ddd;
            border-radius: 4px;
            margin-bottom: 10px;
        }
        input[type="submit"] {
            padding: 10px 20px;
            background-color: #e74c3c;
            border: none;
            color: #fff;
            border-radius: 4px;
            cursor: pointer;
            font-size: 16px;
        }
        input[type="submit"]:hover {
            background-color: #c0392b;
        }
        .message {
            margin-top: 20px;
            text-align: center;
            font-size: 18px;
        }
    </style>
</head>
<body>
    <?php
        include('config.php');
        include('menu.php');
    ?><br>
    <div class="container">
        <h2>ลบข้อมูลห้องพัก</h2>
        <form method="POST" action="">
            เลขที่ห้องที่ต้องการลบ: <input type="text" name="room_id" required>
            <input type="submit" value="ลบห้องพัก">
        </form>
        <?php
            include('config.php'); // รวมไฟล์เชื่อมต่อฐานข้อมูล

            if ($_SERVER['REQUEST_METHOD'] == 'POST') {
                $room_id = $_POST['room_id'];

                // ตรวจสอบให้แน่ใจว่า room_id ถูกป้อน
                if (!empty($room_id)) {
                    $sql = "DELETE FROM `register` WHERE `room_id` = '".$conn->real_escape_string($room_id)."'";
                    
                    if ($conn->query($sql) === TRUE) {
                        echo "<div class='message'>ลบห้องพักที่เลขที่ห้อง " . htmlspecialchars($room_id) . " เรียบร้อยแล้ว</div>";
                    } else {
                        echo "<div class='message'>เกิดข้อผิดพลาด: " . $conn->error . "</div>";
                    }
                } else {
                    echo "<div class='message'>กรุณากรอกเลขที่ห้อง</div>";
                }
            }

            $conn->close();
        ?>
    </div>
</body>
</html>
