<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>รายการห้องพัก</title>
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
        }
        table, th, td {
            border: 1px solid black;
        }
        th, td {
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
    </style>
</head>
        <h2>รายการห้องพัก</h2>
<body>
    <?php
        include('config.php'); // รวมไฟล์เชื่อมต่อฐานข้อมูล
        include('menu.php');
    ?><br>
     <section class="page-section" style="margin-top:10px"> <!-- กำหนด Section ที่มีระยะห่างจากขอบบน 10px -->
        <table id="showdata" class="table table-striped" border="1" cellspacing="0" align="center">
            <thead style="background-color:#62d5cd"> <!-- กำหนดสีพื้นหลังของหัวตาราง -->
                <tr style="background-color:#7BDFF2"> <!-- กำหนดสีพื้นหลังของแถวหัวตาราง -->
                    <th style="text-align:center">เลขที่ห้อง</th>
                    <th style="text-align:center">ชั้น</th>
                    <th style="text-align:center">ประเภท</th>
                    <th style="text-align:center">รายละเอียด</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    // สร้างคำสั่ง SQL เพื่อดึงข้อมูล
                    $sql = "SELECT * FROM `register`";
                    $result = $conn->query($sql);

                    if ($result->num_rows > 0) {
                        // แสดงข้อมูลในรูปแบบตาราง
                        while($row = $result->fetch_assoc()) {
                            echo "<tr style='background-color:#FCFCF7'>";
                            echo "<td>" . $row["room_id"] . "</td>";
                            echo "<td>" . $row["floor_room"] . "</td>";
                            echo "<td>" . $row["type_toom"] . "</td>";
                            echo "<td>" . $row["details"] . "</td>";
                            echo "</tr>";
                        }
                    } else {
                        echo "<tr><td colspan='6' style='text-align:center'></td></tr>";
                    }
                ?>
            </tbody>
        </table>
        <br>
    </section>
</body>
</html>
